/* Icon SVG styles */

/* System Fonts */
html {
  font-family:
    -apple-system,
    BlinkMacSystemFont,
    "Segoe UI",
    "Roboto",
    "Oxygen",
    "Ubuntu",
    "Cantarell",
    "Fira Sans",
    "Droid Sans",
    "Helvetica Neue",
    sans-serif;
}

input, textarea, button {
  font-family: inherit
}

body {
  background-color: rgb(248,248,248);
  margin: 0;
  padding: 0;
}

.header {
  display: block;
  height: 4rem;
  left: 0;
  right: 0;
  background-color: white;
}

.home {
  display: block;
  left: 0;
  right: 0;
  min-height: 45rem;
  background-color: white;
}

.privacy {
  display: block;
  left: 0;
  right: 0;
  min-height: 45rem;
  background-color: white;
}

.help-area {
  display: grid;
  width: 100%;
  min-height: 45rem;
  grid-template-columns: auto 15rem 65rem auto;
  background-color: white;
}

.sidebar {
  grid-column: 2;
}

.help {
  grid-column: 3;
  overflow: auto;
}

.footer {
  display: block;
  left: 0;
  right: 0;
  background-color: rgb(248,248,248);
}

@media (max-width: 90rem) {
  .header {
    height: 3rem;
  }

  .help-area {
    grid-template-columns: 1rem 10rem 1fr 1rem;
    max-width: 100%;
  }
  .sidebar {
    grid-column: 2;
  }
  .help {
    grid-column: 3;
  }
}

@media (max-width:44rem) {
  .help-area {
    grid-template-columns: 1rem auto 1rem;
  }
  .sidebar {
    visibility: hidden;
    display: none;
  }
  .help {
    grid-column: 2;
  }
}

@media (max-width:25rem) {
  .help-area {
    grid-template-columns: 1rem auto 1rem;
  }
  .help {
    grid-column: 2;
    background-color: antiquewhite;
  }
  .sidebar {
    visibility: hidden;
    display: none;
  }
}

@media (prefers-color-scheme: dark) {
  body {
    background-color: #404040;
  }
  .header {
    background-color: #404040;
  }
  .privacy {
    background-color: #404040;
  }
  .help-area {
    background-color: #404040;
  }
  .sidebar {
    background-color: #404040;
  }  
  .help {
    background-color: #404040;
  }
}
